Package com.sas.lsaf.security.audit

## Class AuditEntryDetail

- java.lang.Object
- - com.sas.lsaf.security.audit.AuditEntryDetail

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AuditEntryDetail
      extends java.lang.Object
      implements java.io.Serializable

  Audit entry details contains the attributes that were changed during an auditable action, hich includes the old and new values, for a particular audit entry.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditEntryDetail​(java.lang.String auditEntryId, java.lang.String attributeType, java.lang.String attributeId, java.lang.String attributeName, java.lang.String oldValue, java.lang.String newValue)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAttributeId()` | Gets the identifier of the attribute that was changed.
    `java.lang.String` | `getAttributeName()` | Gets the name of the attribute that was changed.
    `java.lang.String` | `getAttributeType()` | Gets the type of the attribute that was changed.
    `java.lang.String` | `getAuditEntryId()` | Gets the parent audit entry identifier that generated the detail.
    `java.lang.String` | `getNewValue()` | Gets the value after the change.
    `java.lang.String` | `getOldValue()` | Gets the value before the change.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditEntryDetail

          public AuditEntryDetail​(java.lang.String auditEntryId,
                                  java.lang.String attributeType,
                                  java.lang.String attributeId,
                                  java.lang.String attributeName,
                                  java.lang.String oldValue,
                                  java.lang.String newValue)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the audit entries returned by the API.
      Parameters:
        `auditEntryId` - the parent audit entry identifier that generated the detail.
        `attributeType` - the type of the attribute that was changed.
        `attributeId` - the identifier of the attribute that was changed.
        `attributeName` - the name of the attribute that was changed.
        `oldValue` - the value before the change.
        `newValue` - the value after the change.

  - ### Method Detail

    - #### getAuditEntryId

          public java.lang.String getAuditEntryId()

      Gets the parent audit entry identifier that generated the detail.
      Returns:
        The parent audit entry identifier that generated the detail.

    - #### getAttributeId

          public java.lang.String getAttributeId()

      Gets the identifier of the attribute that was changed.
      Returns:
        The identifier of the attribute that was changed.

    - #### getAttributeName

          public java.lang.String getAttributeName()

      Gets the name of the attribute that was changed.
      Returns:
        The name of the attribute that was changed.

    - #### getAttributeType

          public java.lang.String getAttributeType()

      Gets the type of the attribute that was changed.
      Returns:
        The type of the attribute that was changed.

    - #### getOldValue

          public java.lang.String getOldValue()

      Gets the value before the change.
      Returns:
        The value before to the change.

    - #### getNewValue

          public java.lang.String getNewValue()

      Gets the value after the change.
      Returns:
        The value after the change.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`